%set_verify_elf_method unresolved=relaxed
%def_without mono
%def_disable static

%define ver_major 1.9
Name: libgnomedb
Version: %ver_major.103
Release: alt2

Summary: Library for writing gnome database programs
License: LGPL
Group: System/Libraries
Url: http://www.gnome-db.org/
Obsoletes: libgnome-db < %version
Provides: libgnome-db = %version-%release
Packager: Ilya Mashkin <oddity@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-1.9.103-alt-Makefiles.patch


%if_with mono
BuildPreReq: mono-devel  libgtk-sharp2-devel libgda-sharp
%endif
BuildPreReq: libgda-devel >= 1.9.102
BuildPreReq: scrollkeeper
BuildPreReq: libgtk+2-devel >= 2.6.0
BuildPreReq: libgnomeui-devel >= 1.103
BuildPreReq: libglade-devel >= 2.6
BuildPreReq: gtk-doc >= 1.0

#BuildRequires: rpm-utils less
# Automatically added by buildreq on Thu Sep 21 2006
BuildRequires: gcc-c++ gtk-doc libgda-devel libgnomeui-devel libgtksourceview-devel libssl-devel perl-XML-Parser

%description
%name is a library that eases the task of writing gnome database
programs.

%package devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the header files and libraries needed to write and
compile programs that use %name.

%package doc
Summary: Documentation for %name
Group: Development/C
%description doc
This package contains the documentation needed to write programs that use %name.
Requires: %name-devel = %version-%release

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries needed to compile programs
statically linked with %name.

%define _libexecdir %_libdir/%name

%prep
%setup -q
%patch -p1

%build
autoreconf -fisv
%configure --disable-schemas-install
#	%{subst_enable static}

%make

%install
%make_install DESTDIR=%buildroot install

%find_lang %name-3

%post
%gconf2_install %name


%files -f %name-3.lang
%_bindir/*
%_libdir/*.so.*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%dir %_libdir/%name/plugins/*.so*
%_libdir/libglade/*/*.so
%_datadir/applications/*.desktop
%_datadir/%name
%_datadir/mime-info/*
%_datadir/pixmaps/%name/*
#%%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS

%files doc
%doc %_datadir/gtk-doc/html/%name
%doc %_datadir/omf/%name/*

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/*.a
#%%_libdir/%name/plugins/*.a
%_libdir/bonobo/*/*.a
%_libdir/libglade/*/*.a
%endif

%changelog
* Sun Nov 30 2008 Ilya Mashkin <oddity@altlinux.ru> 1.9.103-alt2
- remove deprecated macroses from spec

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 1.9.103-alt1.1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.9.103-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Thu Sep 21 2006 Ildar Mulyukov <ildar@altlinux.ru> 1.9.103-alt1
- spec cleanup

* Mon Nov 28 2005 Vital Khilko <vk@altlinux.ru> 1.3.91-alt1
- 1.3.91

* Fri Oct 28 2005 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Sun Jan 02 2005 Vital Khilko <vk@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Fri Jun 25 2004 Vital Khilko <vk@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Tue Jun 01 2004 Vital Khilko <vk@altlinux.ru> 1.1.2-alt2
- rebuilded with updated libgda2 

* Mon Apr 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Sun Jan 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt2
- fixed buildreqs.

* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Sep 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Jul 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.90.0-alt1
- 0.90.0

* Fri Jun 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt1
- 0.12.1

* Thu May 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- new version.

* Mon Oct 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.199-alt1
- 0.8.199

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.192-alt2
- rebuild with new pango, gtk+

* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.192-alt1
- First build for Sisyphus.
